//======================================================================
// audio.h
//======================================================================

#ifndef __iop_audio_h__
#define __iop_audio_h__

#include "config.h"

enum RxInput {
  RX_RIG_IN = 0,
  RX_USB_IN = 1,
};

enum RxOutput {
  RX_SPEAKER_OUT = 0,
  RX_LINE_OUT = 1,
  RX_USB_OUT = 2,
};

enum TxInput {
  TX_MIC_IN = -1,
  TX_LINE_IN = 0,
  TX_USB_IN = 1,
};

enum TxOutput {
  TX_RIG_OUT = 0,
  TX_USB_OUT = 1,
};

void audioInit();
void audioSelectTxInput(TxInput);
void audioTransmit();
void audioReceive();
void audioCalibrate(IOPConfig *, char, char, char, float, bool);

#endif

//======================================================================
// EOF
//======================================================================
